List of all members
clan::FontMetrics Class Reference
clanDisplay Font

Font metrics class. More...

`#include <font_metrics.h>`

## Public Member Functions
Construction
| FontMetrics ()
| FontMetrics (float height, float ascent, float descent, float internal_leading, float external_leading, float line_height, float pixel_ratio)
| ~FontMetrics ()
Attributes
float | get_height () const
| Returns the height of the font. More...
float | get_line_height () const
| Return the distance between lines. More...
float | get_baseline_offset () const
| Returns the baseline offset from the top of a line. More...
float | get_ascent () const
| Returns the font ascender. More...
float | get_descent () const
| Returns the font descender. More...
float | get_internal_leading () const
| Returns the amount of leading (space) inside the bounds set by the get_height() function. More...
float | get_external_leading () const
| Returns the amount of extra leading (space) that to add between rows. More...

## Detailed Description

Font metrics class.

The documentation for this class was generated from the following file:

- font_metrics.h